Bug 1450645 - [abrt] blender: gc_list_merge(): blender killed by SIGSEGV
Summary: [abrt] blender: gc_list_merge(): blender killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: blender
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:14c6e3f2544ce7530f204d8dde0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-14 11:05 UTC by Andy Lawrence
Modified: 2017-09-30 06:23 UTC (History)
7 users (show)

Fixed In Version: blender-2.79-1.fc26 blender-2.79-1.fc25 blender-2.79-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-23 20:21:11 UTC


Attachments (Terms of Use)
File: backtrace (114.60 KB, text/plain)
2017-05-14 11:06 UTC, Andy Lawrence
no flags Details
File: cgroup (242 bytes, text/plain)
2017-05-14 11:06 UTC, Andy Lawrence
no flags Details
File: core_backtrace (6.65 KB, text/plain)
2017-05-14 11:06 UTC, Andy Lawrence
no flags Details
File: dso_list (21.29 KB, text/plain)
2017-05-14 11:06 UTC, Andy Lawrence
no flags Details
File: environ (4.09 KB, text/plain)
2017-05-14 11:06 UTC, Andy Lawrence
no flags Details
File: limits (1.29 KB, text/plain)
2017-05-14 11:06 UTC, Andy Lawrence
no flags Details
File: maps (103.16 KB, text/plain)
2017-05-14 11:06 UTC, Andy Lawrence
no flags Details
File: mountinfo (3.41 KB, text/plain)
2017-05-14 11:06 UTC, Andy Lawrence
no flags Details
File: namespaces (102 bytes, text/plain)
2017-05-14 11:06 UTC, Andy Lawrence
no flags Details
File: open_fds (970 bytes, text/plain)
2017-05-14 11:06 UTC, Andy Lawrence
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-05-14 11:06 UTC, Andy Lawrence
no flags Details
File: var_log_messages (290 bytes, text/plain)
2017-05-14 11:06 UTC, Andy Lawrence
no flags Details

Description Andy Lawrence 2017-05-14 11:05:54 UTC
Description of problem:
Happens while opening/starting Blender, never actually opens, crash happens 1-2sec after attempting to start.

Version-Release number of selected component:
blender-2.78c-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        blender
crash_function: gc_list_merge
executable:     /usr/bin/blender
global_pid:     20695
kernel:         4.10.11-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gc_list_merge at /usr/src/debug/Python-3.5.3/Modules/gcmodule.c:295
 #1 collect at /usr/src/debug/Python-3.5.3/Modules/gcmodule.c:943
 #2 collect_with_callback at /usr/src/debug/Python-3.5.3/Modules/gcmodule.c:1127
 #3 collect_generations at /usr/src/debug/Python-3.5.3/Modules/gcmodule.c:1150
 #4 _PyObject_GC_Alloc at /usr/src/debug/Python-3.5.3/Modules/gcmodule.c:1716
 #5 _PyObject_GC_Malloc at /usr/src/debug/Python-3.5.3/Modules/gcmodule.c:1726
 #6 _PyObject_GC_New at /usr/src/debug/Python-3.5.3/Modules/gcmodule.c:1738
 #7 new_weakref at /usr/src/debug/Python-3.5.3/Objects/weakrefobject.c:36
 #8 PyWeakref_NewRef at /usr/src/debug/Python-3.5.3/Objects/weakrefobject.c:759
 #9 id_weakref_pool_add at /usr/src/debug/blender-2.78c/source/blender/python/intern/bpy_rna.c:200

Comment 1 Andy Lawrence 2017-05-14 11:06:02 UTC
Created attachment 1278618 [details]
File: backtrace

Comment 2 Andy Lawrence 2017-05-14 11:06:03 UTC
Created attachment 1278619 [details]
File: cgroup

Comment 3 Andy Lawrence 2017-05-14 11:06:04 UTC
Created attachment 1278620 [details]
File: core_backtrace

Comment 4 Andy Lawrence 2017-05-14 11:06:06 UTC
Created attachment 1278621 [details]
File: dso_list

Comment 5 Andy Lawrence 2017-05-14 11:06:07 UTC
Created attachment 1278622 [details]
File: environ

Comment 6 Andy Lawrence 2017-05-14 11:06:09 UTC
Created attachment 1278623 [details]
File: limits

Comment 7 Andy Lawrence 2017-05-14 11:06:10 UTC
Created attachment 1278624 [details]
File: maps

Comment 8 Andy Lawrence 2017-05-14 11:06:11 UTC
Created attachment 1278625 [details]
File: mountinfo

Comment 9 Andy Lawrence 2017-05-14 11:06:13 UTC
Created attachment 1278626 [details]
File: namespaces

Comment 10 Andy Lawrence 2017-05-14 11:06:14 UTC
Created attachment 1278627 [details]
File: open_fds

Comment 11 Andy Lawrence 2017-05-14 11:06:16 UTC
Created attachment 1278628 [details]
File: proc_pid_status

Comment 12 Andy Lawrence 2017-05-14 11:06:17 UTC
Created attachment 1278629 [details]
File: var_log_messages

Comment 13 Fedora Update System 2017-09-13 06:42:57 UTC
alembic-1.7.3-1.fc27 blender-2.79-1.fc27 openvdb-4.0.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-00917a13b3

Comment 14 Fedora Update System 2017-09-13 06:43:26 UTC
alembic-1.7.3-1.fc27 blender-2.79-1.fc27 openvdb-4.0.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-00917a13b3

Comment 15 Fedora Update System 2017-09-13 11:37:39 UTC
alembic-1.7.3-1.fc26 blender-2.79-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8555b65993

Comment 16 Fedora Update System 2017-09-13 11:37:59 UTC
alembic-1.7.3-1.fc26 blender-2.79-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8555b65993

Comment 17 Fedora Update System 2017-09-13 11:39:51 UTC
alembic-1.7.3-1.fc25 blender-2.79-1.fc25 openvdb-4.0.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1086f5aa62

Comment 18 Fedora Update System 2017-09-13 11:40:11 UTC
alembic-1.7.3-1.fc25 blender-2.79-1.fc25 openvdb-4.0.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1086f5aa62

Comment 19 Fedora Update System 2017-09-13 19:23:45 UTC
alembic-1.7.3-1.fc27, blender-2.79-1.fc27, openvdb-4.0.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-00917a13b3

Comment 20 Fedora Update System 2017-09-14 04:52:16 UTC
alembic-1.7.3-1.fc26, blender-2.79-1.fc26, openvdb-4.0.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8555b65993

Comment 21 Fedora Update System 2017-09-14 05:49:41 UTC
alembic-1.7.3-1.fc25, blender-2.79-1.fc25, openvdb-4.0.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1086f5aa62

Comment 22 Fedora Update System 2017-09-14 19:29:38 UTC
LuxRender-1.6-22.fc27 YafaRay-3.3.0-3.fc27 alembic-1.7.3-1.fc27 blender-2.79-1.fc27 openvdb-4.0.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-00917a13b3

Comment 23 Fedora Update System 2017-09-14 19:31:02 UTC
LuxRender-1.6-22.fc26 YafaRay-3.3.0-3.fc26 alembic-1.7.3-1.fc26 blender-2.79-1.fc26 openvdb-4.0.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8555b65993

Comment 24 Fedora Update System 2017-09-14 19:32:32 UTC
LuxRender-1.6-22.fc25 YafaRay-3.3.0-3.fc25 alembic-1.7.3-1.fc25 blender-2.79-1.fc25 openvdb-4.0.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1086f5aa62

Comment 25 Fedora Update System 2017-09-15 16:52:20 UTC
LuxRender-1.6-22.fc27, YafaRay-3.3.0-3.fc27, alembic-1.7.3-1.fc27, blender-2.79-1.fc27, openvdb-4.0.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-00917a13b3

Comment 26 Fedora Update System 2017-09-16 04:22:05 UTC
LuxRender-1.6-22.fc26, YafaRay-3.3.0-3.fc26, alembic-1.7.3-1.fc26, blender-2.79-1.fc26, openvdb-4.0.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8555b65993

Comment 27 Fedora Update System 2017-09-16 05:26:03 UTC
LuxRender-1.6-22.fc25, YafaRay-3.3.0-3.fc25, alembic-1.7.3-1.fc25, blender-2.79-1.fc25, openvdb-4.0.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1086f5aa62

Comment 28 Fedora Update System 2017-09-23 20:21:11 UTC
LuxRender-1.6-22.fc26, YafaRay-3.3.0-3.fc26, alembic-1.7.3-1.fc26, blender-2.79-1.fc26, openvdb-4.0.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2017-09-24 04:50:00 UTC
LuxRender-1.6-22.fc25, YafaRay-3.3.0-3.fc25, alembic-1.7.3-1.fc25, blender-2.79-1.fc25, openvdb-4.0.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2017-09-30 06:23:00 UTC
LuxRender-1.6-22.fc27, YafaRay-3.3.0-3.fc27, alembic-1.7.3-1.fc27, blender-2.79-1.fc27, openvdb-4.0.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.